Subject: [Dime] End-to-end & Hop by hop in case of redirect message

From: "Valesh Chandu" <[email-masked]>
Date: 13 Apr 2007 05:52:35 -0000

Hi all,

i have a doubt regarding hop-by-hop and end-to-end id of a redirecting request message.

From the RFC3588 seciotn 6.1.7

"When a redirect agent receives a request whose routing entry is set to REDIRECT, it MUST reply with an answer message with the 'E' bit set, while maintaining the Hop-by-Hop Identifier in the header, and include the Result-Code AVP to DIAMETER_REDIRECT_INDICATION.  Each of the servers associated with the routing entry are added in separate Redirect-Host AVP.  The receiver of the answer message with the 'E' bit set, and the   Result-Code AVP set to DIAMETER_REDIRECT_INDICATION uses the hop-by-  hop field in the Diameter header to identify the request in the   pending message queue (see Section 5.3) that is to be redirected.  If no transport connection exists with the new agent, one is created, and the request is sent directly to it."

My doubt is while sending out the request to the new agent, what are the values of hop-by-hop id and End-to-End id? i mean are they same as the original request message? or they need to be chanegd with new values?

Thanks & Best Regards,
Chandu

_______________________________________________
DiME mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dime

---

From: "Valesh Chandu" <[email-masked]>
Date: 13 Apr 2007 06:42:19 -0000

Hi Rajith,

Thanks for your reply, i have one more doubt, what would be the destination-host avp in the retransmitted request message that has to be send to the new agent? is it the FQDN of new agent (consider also the case where the new aget is another redirect agent)? 

Best regards,
Chandu

On Fri, 13 Apr 2007 rajithr 70236 wrote :
>I think it is better to change the hop-by-hop id. Consider a cross over b/w the retransmitted original request & the redirect indication response. If you use the same hop-by-hop id for the redirected request, you may require additional checks during transaction match as the duplicate response to the retransmitted original request & the original response to the redirected request will have the same hop-by-hop id.
>
>For end-to-end id, I think it is better to retain it. This may be useful in cases where Diameter agents itself process the redirect indication & send out the redirected request.
>
>Hope this helps.
>
>Rajith
>Hi all,
>